# Cyber Perspectives Sagacity   [![paypal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=XFR5WFPGTM2SS)
https://www.cyberperspectives.com

Sagacity is a vulnerability assessment and compliance data management tool designed to make security testing more efficient, effective and complete.

Security assessments, especially those done for DoD and Federal organizations, produce tremendous amounts of scan and compliance data that security engineers must sort through and deconflict, identify untested requirements, and somehow analyze to communicate risk to their employers. Sagacity, originally written to support a government customer, was designed to fill that need.

What if an organization could turn massive amounts of irreconcilable vulnerability scan data into true knowledge and insight about their networks? They would be able to make wise decisions resulting in cost-effective actions to improve their security with the best return on investment.

_Keen insight. Sound judgment. Wise decisions. Sagacity._

## Features
- ingest data from Nessus vulnerability and compliance scans, SCC, nmap, MBSA and other automated tools
- correlate data to applicable STIG and IAVM checklists and deconflict data from multiple scan sources
- identify required manual STIG checks for a complete compliance assessment
- provide an efficient spreadsheet format for conducting manual tests and reporting compliance data
- track assessed hosts, applicable STIGs, OS's, installed software, missing patches, network services and more
- security assessment task tracking to ensure a complete and thorough test
- statistical analysis of compliance rates, assessment completeness, Cat I, II, III findings and more.

![Sagacity Screenshot](http://www.cyberperspectives.com/wp-content/uploads/2017/04/Sagacity-screenshot.png)

## Requirements

### Windows:
- Processor: 2.0 Ghz+ (recommend Intel i5+)
- Memory: 8GB
- Hard Drive: 50GB free (SSD recommended)
### Linux:
- Processor: 2.0 Ghz+ (recommend Intel i5+)
- Memory: 4GB
- Hard Drive: 50GB (SSD recommended)

### Software Requirements
Sagacity has the following software requirements. The versions listed are the minimum required for operation. For PHP, we recommend the closest version you can get to the one listed, further versions may deprecate features before we have the chance to update the code.
- PHP 7.2
- MySQL 5.7+ or MariaDB 10+
- Apache 2.4+

For Windows, you can install XAMPP 7.2.x from https://www.apachefriends.org/download.html

## Installation

See README.pdf for complete installation instructions.

![CyberPerspectives.com](http://www.cyberperspectives.com/wp-content/uploads/2018/05/CP-com-logo-black-e1525756646897.png)
